Skip to main content
GET
/
api
/
v1
/
client
/
{environmentId}
/
identify
/
contacts
/
{userId}
Get Contact State
curl --request GET \
  --url 'http://{{baseurl}}/api/v1/client/{environmentId}/identify/contacts/{userId}'
import requests

url = "http://{{baseurl}}/api/v1/client/{environmentId}/identify/contacts/{userId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('http://{{baseurl}}/api/v1/client/{environmentId}/identify/contacts/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "displays": [
    {
      "createdAt": "2024-04-23T08:59:37.550Z",
      "surveyId": "pjogp5a1wyxon6umplmf49b8"
    }
  ],
  "lastDisplayAt": "2024-04-23T08:59:37.550Z",
  "responses": [
    "pjogp5a1wyxon6umplmf49b8"
  ],
  "segments": [
    "fi8f9oekza95wwszrptidivq",
    "zgwrv8eg7vfavdhzv1s0po1w"
  ],
  "userId": "user-123"
}
{
"code": "forbidden",
"message": "User identification is only available for enterprise users."
}
{
"code": "not_found",
"details": {
"resource_id": "tpywklouw2p7tebdu4zv01an",
"resource_type": "environment"
},
"message": "Environment not found"
}
{
"code": "internal_server_error",
"details": {},
"message": "Unable to complete request: Expected property name or '}' in JSON at position 29"
}

Path Parameters

environmentId
string
required

The ID of the environment

userId
string
required

The user ID to identify the contact

Response

OK

data
object